import type { AxiosResponse } from 'axios';
export declare function ensureDirectoryExists(directoryName: string): void;
export declare function onAxiosRequestFulfilled({ response, providerConfigKey, connectionId, syncName }: {
    response: AxiosResponse;
    providerConfigKey: string | undefined;
    connectionId: string;
    syncName: string;
}): AxiosResponse;
export declare function onAxiosRequestRejected({ error, providerConfigKey, syncName }: {
    error: unknown;
    providerConfigKey: string | undefined;
    connectionId: string;
    syncName: string;
}): Promise<never>;
